Updating an old GTA01 (Neo 1973)

Tilman Baumann tilman at baumann.name
Mon Feb 16 11:44:53 CET 2009

Torsten Schlabach wrote:
> Dear list!
> I have an old Neo 1973 which I would like to use to test some latest 
> developments in OM.

FSO and SHR always had pretty decent GTA01 support.
But especially with SHR, the limited flash space diminishes all 
possibility besides basic phone functionalities.
You might want to consider booting from SD to use the whole distribution.

To my knowledge, there is no working 2008.X (official) openmoko build 
for GTA01 but only the aged GTK distro.
But I have not checked this lately.

> So I'd guess I cannot just flash the latest image 
> but I might probably might have to update the bootloader and some other 
> low level stuff first?

Depending how old yours is, a new u-boot would not be bad.
(I mean like older than one year or so. I don't remember the details but 
there was a pretty mandatory update in the early times.)

> I also read about a GSM firmware upgrade which I may need.
Only in case of incompatibilities with certain SIM I believe.

Drucken Sie diese Mail bitte nur auf Recyclingpapier aus.
Please print this mail only on recycled paper.

More information about the support mailing list